import std.stdio;

void main() {
    auto inf = File("abcd.in", "r");
    auto ouf = File("abcd.out", "w");
    int t;
    inf.readf("%d\n", &t);
    for (int i = 0; i < t; i++) {
        int v;
        inf.readf("%d\n", &v);
        if (((v / 100) * (v / 100) + (v % 100) * (v % 100)) % 7 == 1) {
            ouf.writeln("YES");
        } else {
            ouf.writeln("NO");
        }
    }

    inf.close();
    ouf.close();
}